package com.ruoyi.common.auth.wx;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.ruoyi.common.constant.CacheConstants;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.spring.SpringUtils;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.concurrent.TimeUnit;

public class AccessTokenUtil {

    /** 缓存token */
    private static String cachedToken;

    /** token过期时间 */
    private static long tokenExpirationTime;

    @SneakyThrows
    public static String getToken() {
        RedisCache redisCache = SpringUtils.getBean(RedisCache.class);
        String token = redisCache.getCacheObject(CacheConstants.WX_ACCESS_TOKEN);

        if (StringUtils.isBlank(token)) {
            String APPID = SpringUtils.getRequiredProperty("wx.appid");
            String APPSECRET = SpringUtils.getRequiredProperty("wx.appSecret");
            WxMaService wxMaService = new WxMaServiceImpl();
            WxMaDefaultConfigImpl config = new WxMaDefaultConfigImpl();
            config.setAppid(APPID);
            config.setSecret(APPSECRET);
            wxMaService.setWxMaConfig(config);
            token = wxMaService.getAccessToken();

            redisCache.setCacheObject(CacheConstants.WX_ACCESS_TOKEN, token, 5400, TimeUnit.SECONDS);
        }
        return token;
    }

    /**判断token是否过期*/
    private static boolean isTokenExpired() {
        return cachedToken == null || System.currentTimeMillis() > tokenExpirationTime;
    }
}
