package com.ruoyi.common.pay.yst.domain.params;

import com.ruoyi.common.pay.yst.enums.YstCertType;
import lombok.Builder;
import lombok.Data;

/**
 * 个人会员实名及绑卡（申请）参数
 * @author wjh
 * 2024/8/3
 */
@Data
@Builder
public class PersonRealNameAndBindCardApplyParam {

    /**
     * 会员编号
     */
    private String signNum;

    /**
     * 会员角色
     */
    private String memberRole;

    /**
     * 证件类型
     */
    private String certType;

    /**
     * 证件号码
     */
    private String certNum;

    /**
     * 姓名
     */
    private String name;

    /**
     * 银行预留手机号
     */
    private String phone;

    /**
     * 银行卡号
     */
    private String acctNum;

    /**
     * 绑卡方式
     */
    private String bindType;

    /**
     * 针对信用卡
     * 有效期（月年）
     * 格式为月年；如0321，2位月2位年
     */
    private String validDate;

    /**
     * 针对信用卡
     * cvv2
     */
    private String cvv2;

 }
