package com.ruoyi.ss.apiBill.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * API收费订单对象 ss_api_bill
 *
 * @author ruoyi
 * @date 2024-08-09
 */
@Data
public class ApiBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long billId;

    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String billNo;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "秘钥ID")
    @ApiModelProperty("秘钥ID")
    private Long accessId;

    @Excel(name = "API收费标准ID")
    @ApiModelProperty("API收费标准ID")
    private Long apiId;

    @Excel(name = "订单金额", readConverterExp = "元=")
    @ApiModelProperty("订单金额")
    private BigDecimal amount;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "订单超时时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("订单超时时间")
    private Date expireTime;

    @Excel(name = "支付成功的支付订单ID")
    @ApiModelProperty("支付成功的支付订单ID")
    private Long payId;

    @Excel(name = "API收费标准类型")
    @ApiModelProperty("API收费标准类型")
    private String apiType;

    @Excel(name = "API收费标准")
    @ApiModelProperty("API收费标准")
    private Long apiNum;

    @Excel(name = "API收费标准名称")
    @ApiModelProperty("API收费标准名称")
    private String apiName;

    @Excel(name = "API收费标准描述")
    @ApiModelProperty("API收费标准描述")
    private String apiDescription;

    @Excel(name = "API收费标准单价")
    @ApiModelProperty("API收费标准单价")
    private BigDecimal apiPrice;

}
