package com.ruoyi.web.controller.app;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.apiPrice.domain.ApiPriceQuery;
import com.ruoyi.ss.apiPrice.service.ApiPriceService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2024/8/8
 */
@RestController
@RequestMapping("/app/apiPrice")
public class AppApiPriceController extends BaseController {

    @Autowired
    private ApiPriceService apiPriceService;

    @ApiOperation("获取API收费标准列表")
    @GetMapping("/list")
    @JsonView(JsonViewProfile.App.class)
    @Anonymous
    public TableDataInfo list(ApiPriceQuery query) {
        startPage();
        return getDataTable(apiPriceService.selectApiPriceList(query));
    }


}
